<script setup lang="ts">
const breadcrumbsItems = ["ACT-2 Mutants-PredACTINg", "Crosses pLeu65Val rey012"];
</script>

<template>
  <v-breadcrumbs :items="breadcrumbsItems" />

  <div class="pa-4">
    <h1>Crosses pLeu65Val rey012 <v-btn icon="mdi-pencil" variant="plain" /></h1>

    <v-row>
      <v-col>
        <p>
          Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam ornare eros turpis, ac
          ullamcorper sem molestie nec. Nam auctor elit at consectetur porta. Suspendisse vehicula
          sem vitae lacus tristique, et pulvinar leo vehicula. Donec eget ultrices velit. Mauris
          scelerisque pharetra nulla, vel cursus arcu euismod in. Mauris vel sapien id eros
          venenatis gravida mattis sed tellus. Donec libero elit, aliquam sit amet leo ut, consequat
          tincidunt eros. Praesent at commodo arcu. Aenean vulputate ex vel nulla tincidunt,
          sagittis maximus libero consectetur.
        </p>

        <v-row align="center">
          <v-col>
            <h2 class="mt-4">
              Datalinks
            </h2>
          </v-col>
          <v-col cols="auto">
            <v-btn size="small" color="primary">
              New link
            </v-btn>
          </v-col>
        </v-row>
        <v-row class="mt-0">
          <v-col cols="4">
            <v-card
              title="Crosses pLeu65Val rey012"
              subtitle="LabGuru folder"
              class="pa-2"
              prepend-avatar="https://www.labguru.com/hs-fs/hubfs/lbg01/Pages/Homepage/brandmark.png?width=841&height=1081&name=brandmark.png"
              color="#F7F5FF"
            >
              <template v-slot:prepend>
                <v-avatar rounded="0" />
              </template>
              <template v-slot:append>
                <v-card-title>
                  <v-btn
                    class="mb-4"
                    icon="mdi-dots-horizontal"
                    variant="plain"
                    size="small"
                  />
                </v-card-title>
              </template>
            </v-card>
          </v-col>
          <v-col cols="4">
            <v-card
              title="report.docx"
              subtitle="Seafile file"
              class="pa-2"
              prepend-avatar="https://manual.seafile.com/media/seafile-transparent-1024.png"
              color="#FCFCF7"
            >
              <template v-slot:prepend>
                <v-avatar rounded="0" />
              </template>
            </v-card>
          </v-col>
          <v-col cols="4">
            <v-card
              title="final_result"
              subtitle="Space2 directory"
              class="pa-2"
              prepend-avatar="https://w7.pngwing.com/pngs/310/475/png-transparent-database-computer-icons-computer-software-information-database-miscellaneous-angle-information-technology.png"
              color="#F5FEFF"
            >
              <template v-slot:prepend>
                <v-avatar rounded="0" />
              </template>
            </v-card>
          </v-col>
          <v-col cols="4">
            <v-card
              title="raw"
              subtitle="Space2 directory"
              class="pa-2"
              prepend-avatar="https://w7.pngwing.com/pngs/310/475/png-transparent-database-computer-icons-computer-software-information-database-miscellaneous-angle-information-technology.png"
              color="#F5FEFF"
            >
              <template v-slot:prepend>
                <v-avatar rounded="0" />
              </template>
            </v-card>
          </v-col>
        </v-row>

        <v-row align="center">
          <v-col>
            <h2 class="mt-4">
              Assays
            </h2>
          </v-col>
          <v-col cols="auto">
            <v-btn size="small" color="primary">
              New assay
            </v-btn>
          </v-col>
        </v-row>

        <v-table density="compact">
          <tbody>
            <tr>
              <td>ACR041pLeuVal backcross</td>
            </tr>
            <tr>
              <td>2022-11-03</td>
            </tr>
            <tr>
              <td>pLeuVal (rey012) x LifeAct::mKate</td>
            </tr>
          </tbody>
        </v-table>
      </v-col>
      <v-divider class="mx-4" vertical />
      <v-col cols="3">
        <h2>Data distribution</h2>

        <v-row class="pa-0" no-gutters>
          <v-col
            cols="auto"
            style="width: 20% !important"
          >
            <v-progress-linear
              model-value="100"
              color="#3672A5"
            />
          </v-col>
          <v-col
            cols="auto"
            style="width: 80% !important"
          >
            <v-progress-linear
              model-value="100"
              color="#E34C26"
            />
          </v-col>
        </v-row>

        <ul style="list-style-type: none">
          <li>
            <v-icon icon="mdi-circle-medium" color="#3672A5" /><span class="text-subtitle-1">Seafile</span><span class="text-body-2"> 254MB</span>
          </li>
          <li>
            <v-icon icon="mdi-circle-medium" color="#E34C26" /><span class="text-subtitle-1">Space 2</span><span class="text-body-2"> 1,02GB</span>
          </li>
        </ul>
      </v-col>
    </v-row>
  </div>
</template>

<style>
tbody tr:nth-of-type(odd) {
  background-color: rgba(0, 0, 0, 0.05);
}
</style>
